ISINF(3)

NAME
isinf - test for infinity

LIBRARY
libc

SYNOPSIS
#include <math.h>
int
isinf(real-floating x);

DESCRIPTION
The isinf() macro determines whether its argument x is an infinity (positive or negative). An argument represented in a format wider than its semantic type is converted to its semantic type first. The determination is then based on the type of the argument.

  IEEE 754
It is determined whether the value of x is an infinity.

  VAX
Infinities are not supported.

RETURN VALUES
The isinf() macro returns a non-zero value if the value of x is an infinity. Otherwise 0 is returned.

SEE ALSO
fpclassify(3), isfinite(3), isinff(3), isnan(3), isnanf(3), isnormal(3), math(3), signbit(3) IEEE Standard for Binary Floating-Point Arithmetic, ANSI, Std 754-1985.

STANDARDS
The isinf() macro conforms to isoC-99.